echo off
CLS
ECHO 
ECHO   Microscope for the PC - Shareware HARD Disc Install Program           
ECHO 
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Check to see if command line parameter given...                 +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF ARG==ARG%1 GOTO syntaxerr
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + If True then parameter missing, so goto syntax err message      +
REM   + Otherwise see if it can be used.                                +
REM   + Is user asking for help...?                                     +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF %1==? GOTO instruct
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Has user quoted a floppy drive in error..?                      +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF %1==A GOTO floppy
IF %1==B GOTO floppy
IF %1==a GOTO floppy
IF %1==b GOTO floppy
:NOTDOWN
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + No, so test to see if DRIVE is real...                          +
REM   + but check to see if test file exists on distribution disc first +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if NOT EXIST MICTEST.EXE goto filemissing
if not exist GUIDE01.SET goto filemissing
copy mictest.EXE %1:\*.* > nul
if exist %1:\mictest.EXE goto driveokay
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + if not okay file did not copy to named drive do tell user!      +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
:nodrive
ECHO Sorry: Drive %1 can not be copied to! Does it exist?
goto endalln
:floppy
echo Sorry: Microscope cannot be installed to a floppy drive! 
goto endalln
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   +                    INSTALL HERE                                 +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
:driveokay
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + get rid of test file from hard disc                             +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM  erase %1:\MICTEST1.TMP
ECHO --------------------------------------------------------------------
ECHO Serial     MICROSCOPE V3.0 (C) MOLCOL SOFTWARE 1994
ECHO 130595
ECHO      VOICE / FAX - TEL: 0181 685 0528 24 HRS (UK).
ECHO    Internet Email   : mol@molcol.demon.co.uk
ECHO   
ECHO     "I have tried many things: painting, writing, video
ECHO       and still photography, computing, astronomy, DIY, 
ECHO ı    to name a few. I wished I had discovered Microscopy
ECHO         first. It is the closest I will ever come to seeing 
ECHO     the real nature of things and the miracle of life! "
ECHO      M.Smith (author).
echo --------------------------------------------------------------------
ECHO Attempting Installation of Microscope for the PC to %1:\MSCOPE
ECHO Creating new directory called MSCOPE on hard disc...
md %1:\mscope
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Check does user own Ver 1.0 - display message and leave it alone+
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF NOT EXIST %1:\MSCOPE\MSCOPE.EXE GOTO nover1found
ECHO Earlier versions of Microscope found on disc.
ECHO Replacing Ver 1.0 with Ver 3.0...
:nover1found
ECHO MICROSCOPE will be installed to %1:\MSCOPE directory.
ECHO Press any key to proceed or CTRL C to abort...
pause
cls

ECHO Serial     MICROSCOPE V3.0 (C) MOLCOL SOFTWARE 1994
ECHO 130595
ECHO      VOICE / FAX - TEL: 0181 685 0528 24 HRS (UK).
ECHO    Internet Email   : mol@molcol.demon.co.uk
ECHO   
ECHO     If you've never looked down a real microscope or only
ECHO      saw one briefly at school, you may be missing out on
ECHO ı   an incredible experience. Ring BRUNEL MICROSCOPES (UK)
ECHO        on TEL: 0249 701601 (Corsham, Wilts, UK). Tell them   
ECHO    you want to be a first-timer now you've seen MICROSCOPE
ECHO   and ask how you can get started cheaply. They'll be 
ECHO   friendly and will really help you out.                     
ECHO                       
ECHO                        
echo copying Microscope Ver 3.0 files to %1:\MSCOPE
copy *.* %1:\MSCOPE\*.*
%1:
cd %1:\mscope
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + Check to see if we have arrived in the correct directory..?     +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if not exist MSCOPE2.EXE goto error1
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
rem   +                   RUN SETUP.EXE                                 +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
IF EXIST SETUP.EXE GOTO runsetup
ECHO SETUP.EXE not found in %1:\MSCOPE directory - can't complete install!
goto endalln
:runsetup
CLS
ECHO MICROSCOPE has different language translations and two different
echo screens to enable people all over the world to enjoy the software.
echo A test will be made now to see which language files exist.
echo You will be asked to select one. When this happens please follow
echo the on-screen instructions.
echo 
echo Two screens exist: 1 in English and another appropriate for use
echo by all non-English speaking communities. You will also be asked
echo to select one of these screens. Note: Languages and screens may
echo be re-selected later when using the software. It is important to
echo select a language you understand to complete this installation 
echo fully.
pause
SETUP.EXE
CLS
ECHO INSTALLATION will now check to see what slidesets exist on your
echo hard disc. Any found will be installed into Microscope's control 
echo database so they can be accessible when using Microscope.
echo The screen may clear several times if you have a lot of slidesets 
echo installed. Please be patient and let the process complete. You 
echo will be asked to confirm that you wish to install all slidesets.
echo Please answer YES by pressing the appropriate key which will be
echo indicated in a message that follows asking you to clarify the
echo request to install all slidesets.
pause
MIC_CTRL IN:*.*
cls
echo Although Microscope is a DOS program, it can be run from Windows!
echo You must ensure you have a DOS mouse-driver installed. Normally 
echo this is accomplished by having the mouse driver file name included
echo in your Autoexec.bat file.
echo An attempt will now be made to install a program group into Windows
echo by altering your Progman.ini file (if one exists). Your existing 
echo Progman.ini file will be safely renamed as Progman.old so if you
echo detect any problems when you start windows, simply exit, and rename
echo Progman.old as Progman.ini to restore your original file.
echo Everything has been installed ready for DOS. If you don't want to 
echo try installing for Windows use then EXIT NOW BY PRESSING CTRL C!!
echo Any other key will invoke the Windows Install attempt.
echo if you exit now, enter: MIC from the DOS command line to start
echo Microscope for the PC. It should be installed in the Mscope dir.
Pause
micwin
:end
cls
echo Microscope for the PC (SHAREWARE EVALUATION VERSION)is installed!
echo To use Microscope, log onto the directory %1:\MSCOPE and enter   
echo MIC    at the DOS command line.                                 
echo -----------------------------------------------------------------
echo Please note: your original downloaded files have not been deleted
echo but once you know Microscope runs okay, it is best to delete the
echo downloaded files to save disc space. Be certain NOT to delete the
echo files from the MSCOPE directory though!
echo =================================================================
ECHO If you like what you see, please REGISTER for the PROFESSIONAL
ECHO VERSION of Microscope and receive full support and PRO sets. 
echo Microscopy has something to offer, help us to support you by     
echo supporting us. Technology is advancing at an incredible rate,    
echo let us ensure Microscopy is represented to a wider audience and  
echo establishes a greater presence to young and old alike within this
echo new infrastructure of information exchange and self-learning !!!
echo =================================================================
echo If you have problems installing or running Microscope, refer to 
echo the manual by using your favourite text editor in non-document 
echo or raw text/ascii mode and reading the file called MANUAL.ASC, or
echo see the README.1ST file.      
goto endalln
:filemissing
echo One or more files seem to be missing from the current directory.
echo To use Microscope you need to download 2 files: MS3PART1.ZIP and  
echo MS3PART2.zip or their equivalents if a new naming regime has been
echo used. These files should be described as Microscope Ver 3.0 Part1,
echo and Micrscope 3.0 Part 2. Please ensure both files are
echo unzipped into the same directory and try INSTALLX again. 
pause
goto endalln
:error1
echo Install failed : cannot switch to %1:\mscope
goto endalln
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
REM   + user just typed INSTALL (expected) so explain how to install    +
REM   +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
:syntaxerr
ECHO                                                                         
ECHO           Error: No drive letters given in command line!                
ECHO                                                                         
ECHO 
:instruct
ECHO           Please Install by entering: INSTALL {d}                       
ECHO                                                                         
ECHO     Where {d} equals the Hard Drive Designation of the DISC             
ECHO     you wish to Install to (possibly the current drive).                
ECHO     Do not use colons (:) in the command line!                          
ECHO                                                                         
ECHO     Examples:-                                                          
ECHO                                                                         
ECHO     INSTALLX C       -Install TO drive C                                
ECHO     INSTALLX D       -Install TO drive D                                
ECHO     INSTALLX E       -Install TO drive E                                
ECHO                                                                         
ECHO                                                                         
ECHO 
:end
:endalln
pause